Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.om
Class AxisIteratorImpl

    java.lang.Object
      net.sf.saxon.om.AxisIteratorImpl

All Implemented Interfaces:
  AtomizableIterator, AxisIterator, SequenceIterator

Direct Known Subclasses:
  Navigator.AxisFilter, Navigator.BaseEnumeration

public abstract class AxisIteratorImpl
extends java.lang.Object
implements AxisIterator, AtomizableIterator

A SequenceIterator is used to iterate over a sequence. An AxisIterator is a SequenceIterator that always iterates over a set of nodes, and that throws no exceptions; it also supports the ability to find the last() position, again with no exceptions. This class is an abstract implementation of AxisIterator that is used as a base class for many concrete implementations. The main functionality that it provides is maintaining the current position.

Field Summary
`protected Item` | `current`
`protected int` | `position`

Fields inherited from interface net.sf.saxon.om.SequenceIterator
`ATOMIZABLE, GROUNDED, LAST_POSITION_FINDER, LOOKAHEAD`

Constructor Summary
`AxisIteratorImpl()`

Method Summary
`Item` | `current()` Get the current node in the sequence.
`int` | `getProperties()` Get properties of this iterator, as a bit-significant integer.
`protected boolean` | `isAtomizing()` Determine whether any nodes returned by this iterator will be atomized, in which case the supplier has the option of atomizing them eagerly.
`int` | `position()` Get the current position
`void` | `setIsAtomizing(boolean atomizing)` Indicate that any nodes returned in the sequence will be atomized.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.saxon.om.AxisIterator
`getAnother, next`

Field Detail

### position

    protected int position

### current

    protected Item current

Constructor Detail

### AxisIteratorImpl

    public AxisIteratorImpl()

Method Detail

### current

    public final Item current()

  Get the current node in the sequence.

  Specified by:
    `current` in interface `AxisIterator`
  Returns:
    the node returned by the most recent call on next()

### position

    public final int position()

  Get the current position

  Specified by:
    `position` in interface `AxisIterator`
  Returns:
    the position of the most recent node returned by next()

### setIsAtomizing

    public void setIsAtomizing(boolean atomizing)

  Indicate that any nodes returned in the sequence will be atomized. This means that if it wishes to do so, the implementation can return the typed values of the nodes rather than the nodes themselves. The implementation is free to ignore this hint.

  Specified by:
    `setIsAtomizing` in interface `AtomizableIterator`
  Parameters:
    `atomizing` - true if the caller of this iterator will atomize any nodes that are returned, and is therefore willing to accept the typed value of the nodes instead of the nodes themselves.

### isAtomizing

    protected final boolean isAtomizing()

  Determine whether any nodes returned by this iterator will be atomized, in which case the supplier has the option of atomizing them eagerly.

### getProperties

    public int getProperties()

  Get properties of this iterator, as a bit-significant integer.

  Specified by:
    `getProperties` in interface `SequenceIterator`
  Returns:
    the properties of this iterator. This will be some combination of properties such as `GROUNDED`, `LAST_POSITION_FINDER`, and `LOOKAHEAD`. It is always acceptable to return the value zero, indicating that there are no known special properties. It is acceptable for the properties of the iterator to change depending on its state.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD